defmodule GroupB.Manager do
  @moduledoc """
  ECSx manager.
  """
  use ECSx.Manager

  def setup do
    # Seed persistent components only for the first server start
    # (This will not be run on subsequent app restarts)
    :ok
  end

  def startup do
    # Load ephemeral components during first server start and again
    # on every subsequent app restart
    :ok
  end

  # Declare all valid Component types
  def components do
    [
      GroupB.Components.StageNote.Distance,
      GroupB.Components.StageNote.Player,
      GroupB.Components.StageNote.OrderIndex,
      GroupB.Components.Action.Hazardous,
      GroupB.Components.Action.SpeedModifier,
      GroupB.Components.Action.ThrottleModifier,
      GroupB.Components.Action.FocusModifier,
      GroupB.Components.Action.Location,
      GroupB.Components.StageNote.Oddity,
      GroupB.Components.StageNote.Type,
      GroupB.Components.StageNote.RequiredFocus,
      GroupB.Components.StageNote.Active,
      GroupB.Components.StageNote.MaxSpeed,
      GroupB.Components.Player.StageTime,
      GroupB.Components.Player.Focus,
      GroupB.Components.Player.Speed,
      GroupB.Components.Player.Throttle
    ]
  end

  # Declare all Systems to run
  def systems do
    [
      GroupB.Systems.ClientEventHandler
    ]
  end
end
