defmodule GroupB.SeedData do
  def one_weighted_note_type(last_type) do
    GroupB.WeightedChoice.select_one(
      case last_type do
        :straight ->
          Enum.reject(weighted_note_types(), &reject_straights(&1))

        _ ->
          weighted_note_types()
      end
    )
  end

  defp reject_straights({:straight, _weight}), do: true
  defp reject_straights({_type, _weight}), do: false

  def weighted_note_types, do: [straight: 10, left: 20, right: 20, esses: 5]

  def one_weighted_speed, do: GroupB.WeightedChoice.select_one(weighted_speeds())

  def weighted_speeds,
    do: [{10.0, 10}, {1.0, 1}, {2.0, 3}, {3.0, 5}, {4.0, 7}, {5.0, 10}, {6.0, 10}]
end
