# https://elixirforum.com/t/weight-based-random-sampling/23345/4
defmodule GroupB.WeightedChoice do
  def select_one(choices) when is_list(choices) do
    accumulated_weights = Enum.scan(choices, fn {k, w}, {_, w_sum} -> {k, w + w_sum} end)
    {_, max} = List.last(accumulated_weights)
    random_value = Enum.random(1..max)

    Enum.reduce_while(accumulated_weights, random_value, fn {k, w}, r ->
      if r <= w, do: {:halt, k}, else: {:cont, r}
    end)
  end
end
